<template lang="pug">
.socials.is-flex.is-align-items-center.is-justify-content-center( :class='{ "is-flex-direction-column": vertical }' )
	a.social.img.is-flex.is-align-items-center.is-justify-content-center( v-for='({ icon, link }, i) in socials' :key='i' :href='link' target="_blank" :class='{ "solid": solid }' )
		component( :is='icon' )
</template>

<script>
export default {
	props: {
		solid: Boolean,
		vertical: Boolean
	},
	computed: {
		socials() {
			const socials = this.$t("default.socials")
			return Object.keys(socials).map(name => ({
				icon: () => import(`svg/${name}.svg`),
				link: socials[name]
			}))
		}
	}
}
</script>

<style lang="scss" scoped>
.socials {
	&.is-flex-direction-column {
		a {
			&+a {
				margin-top: .875rem;
				margin-left: 0;
			}
		}
	}
	a {
		height: 2.625rem;
		width: 2.625rem;
		border-radius: 50%;
		@include max_tablet {
			height: 2rem;
			width: 2rem;
		}
		&+a {
			margin-top: 0;
			margin-left: .625rem;
		}
		&::v-deep svg {
			height: 1rem;
			fill: url(#paint0_radial_20_87);
			@include max_tablet {
				height: .75rem;
			}
		}
		&.solid {
			background: #fff;
		}
		&:not(.solid) {
			border: 1px solid rgba($color: #fff, $alpha: .26);
		}
	}
	@include max_tablet {
		margin-top: .35rem;
	}
}
</style>